/*
 Theme Name:   Primacom
 Theme URI:    https://shandykaf.com
 Description:  Kadence Child Theme
 Author:       Shandyka Febrian
 Author URI:   https://shandykaf.com
 Template:     kadence
 Version:      1.0.0
 Text Domain:  kadence-child
*/


/* BODY */

.single-content h1.elementor-heading-title,
.single-content h2.elementor-heading-title,
.single-content h3.elementor-heading-title,
.single-content h4.elementor-heading-title,
.single-content h5.elementor-heading-title,
.single-content h6.elementor-heading-title {
    margin-bottom: 0 !important;
}

.width-margin .e-con-inner {
    margin: 0;
}

.btn-bottom-center {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0 auto;
}


/* HEADER */

header.site-header,
.item-is-fixed {
    -webkit-box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.1);
}

.header-navigation .menu {
    margin-left: 20px;
}

/* #menu-services-desktop li:nth-child(2) ul.premium-sub-menu {
    top: -42px !important;
}

#menu-services-desktop li:nth-child(3) ul.premium-sub-menu {
    top: -81px !important;
}

#menu-services-desktop li:nth-child(4) ul.premium-sub-menu {
    top: -121px !important;
} */

/* .jet-nav--vertical .menu-item.jet-nav-hover > .jet-nav__sub.jet-nav-depth-0 {
	top : -40px;
} */
/* .menu-item .menu-item-type-custom .menu-item-object-custom .menu-item-has-children .jet-nav__item-1504 .jet-nav__item {
	top : -40px ;
} */
/* .jet-nav__item-1505 .jet-nav__sub
{
	top : -40px !important;
}
.jet-nav__item-1506 .jet-nav__sub {
	top : -85px !important
} */
.jet-nav__item:nth-child(2) .jet-nav__sub {
    top: -53px !important;
}

.jet-nav__item:nth-child(3) .jet-nav__sub {
    top: -100px !important;
}
.jet-nav__item:nth-child(4) .jet-nav__sub {
    top: -150px !important;
}

.jet-nav__item .jet-nav__sub {
    width: 230px !important;
    /* margin-left: 80px !important; */
}

.jet-nav__sub .jet-nav-depth-1 {
    width: 300px !important;
}

.jet-nav .menu-item-link {
    padding: 10px !important;
    height: 15px !important;
	 width: 200px !important;
	transition : none  !important;
}


.jet-nav--vertical-sub-right-side {
	display : flex;
	gap : 30px ;
}
.jet-nav__sub {
	display : flex;
	flex-direction : column;
	gap : 30px;
	margin-left: 15px !important;
}

.jet-nav .menu-item-has-children {
    width: max-content !important;
}

.jet-nav--vertical .menu-item-link-top {
    justify-content: space-between !important;
}

/* .jet-nav .menu-item-has-children {
	padding: 10px !important;
} */
/* .jet-nav__sub .jet-nav-depth-0 {
	padding : 0 10px !important;
	width : 300px !important;
	margin-left : 100px;
} */

/* li.menu-item .premium-nav-menu-item:nth-child(2) .premium-sub-menu {
	top : -40px !important;
}
li.menu-item .premium-nav-menu-item:nth-child(3) .premium-sub-menu {
	top : -85px !important;
} */


/* .jet-nav__sub {
	transform: translateX(20px) !important;
} */
/* .jet-nav__sub {
    transform: translateX(-200px) !important;
    opacity: 0 !important;
    transition: transform 0.9ease, opacity 0.9 ease !important;
}

.jet-nav:hover .jet-nav__sub {
    transform: translateX(0) !important;
    opacity: 1 !important;
} */

/* .jet-nav__sub {
	transform : translatex(0) !important;
} */

/* .jet-nav__sub .menu-item-link-sub .jet-nav-link-text {
    display: contents !important;
    width: 300px !important;
    height: 42px !important;
} */

.jet-nav__sub.jet-nav-depth-1:hover {
    pointer-events: none;
}

.jet-nav-item-sub:hover {
	pointer-events : auto
}


/* FOOTER */

.footer-style p {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}


/* BUTTON - STICKY WHATSAPP BUTTON */

.wa-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 999999;
}

.wa-button a {
    background: linear-gradient(to top, #29b43f, #60d36b);
    color: #fff !important;
    width: 60px;
    display: table;
    height: 60px;
    border-radius: 100%;
    position: relative;
    text-align: center;
    font-size: 35px !important;
    transition: all 0.2s ease-in-out;
    box-shadow: 0 10px 20px -10px rgba(0, 0, 0, 0.35);
    outline: none;
    text-decoration: none;
}

.wa-button a:hover {
    transform: scale(0.9);
    text-decoration: none !important;
}

.wa-button a img {
    height: 33px;
    position: absolute;
    margin: auto;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    text-decoration: none;
    z-index: 888;
    transition: all 0.2s ease-in-out;
    text-shadow: 0 2px 5px rgba(20, 113, 34, 0.5);
}

.wa-button a:hover img {
    text-shadow: 0 0 0 rgba(20, 113, 34, 0.5);
    text-decoration: none;
}


/* BLOG */

.post-style .jet-carousel .jet-arrow.prev-arrow {
    display: none !important;
}

.post-style .jet-posts__inner-box {
    flex-direction: row !important;
    align-items: center;
}

.post-style .jet-posts__inner-box .post-thumbnail {
    width: 40%;
}

.post-style .jet-posts__inner-box .jet-posts__inner-content {
    width: 60%;
    padding-left: 50px;
}

.post-style .jet-posts__inner-box .post-thumbnail {
    padding-bottom: 0;
}

.post-style .jet-posts__inner-box .post-thumbnail a {
    -webkit-mask-image: url(http://primacom.test/wp-content/uploads/2023/06/img-mask.png);
    mask-image: url(http://primacom.test/wp-content/uploads/2023/06/img-mask.png);
    -webkit-mask-size: 100%;
    mask-size: 100%;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
}

.post-style .jet-posts__inner-box .post-thumbnail a img {
    height: auto !important;
    width: 100%;
    aspect-ratio: 4/3;
    object-fit: cover;
}

.post-style .jet-posts__inner-box .jet-posts__inner-content .entry-excerpt {
    padding-bottom: 0;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}


/* BLOG - LIST */

.post-list .jet-carousel .jet-arrow.prev-arrow {
    display: none !important;
}

.post-list .jet-posts__inner-box {
    flex-direction: row !important;
    align-items: center;
}

.post-list .jet-posts__inner-box .post-thumbnail {
    width: 40%;
}

.post-list .jet-posts__inner-box .jet-posts__inner-content {
    width: 60%;
    padding: 30px 20px;
}

.post-list .jet-posts__inner-box .post-thumbnail {
    padding-bottom: 0;
}

.post-list .jet-posts__inner-box .post-thumbnail a img {
    height: auto !important;
    width: 100%;
    aspect-ratio: 1/1;
    object-fit: cover;
}

.post-list .entry-title a,
.post-list .jet-posts__inner-box .jet-posts__inner-content .entry-excerpt {
    padding-bottom: 0;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.post-list .entry-title a {
    -webkit-line-clamp: 2;
}

.post-list .jet-posts__inner-box .jet-posts__inner-content .entry-excerpt {
    -webkit-line-clamp: 3;
}

.post-list .jet-posts__inner-content {
    margin-bottom: 0 !important;
}


/* BLOG - DETAIL */

.carousel-item.splide__slide {
    background-color: #ffffff;
}

.post-thumbnail-inner img {
    aspect-ratio: 4/3;
    width: 100%;
    object-fit: cover;
}

.entry.loop-entry {
    box-shadow: none;
}

.loop-entry .entry-content-wrap {
    padding: 20px;
}

.wp-block-image img {
    width: 100%;
}

.single-content p {
    text-align: justify;
    text-justify: inter-word;
}


/* CONTACT - FORM */

.contact-form .nf-form-fields-required,
.contact-form .ninja-forms-req-symbol {
    display: none;
}

.contact-form .nf-form-content {
    padding: 0;
    max-width: none;
}

.contact-form .nf-form-content label {
    color: #0c60a4;
    font-size: 16px;
}

.contact-form .label-above .nf-field-label {
    margin-bottom: 0 !important;
}

.contact-form .nf-form-content textarea.ninja-forms-field {
    height: 100px;
}

.contact-form .nf-form-content input:not([type="submit"]),
.contact-form .nf-form-content textarea.ninja-forms-field {
    background: transparent !important;
    border-width: 0px !important;
    border-bottom: 1px solid #303030 !important;
    border-radius: 8px !important;
}

.contact-form .nf-form-content input[type="submit"] {
    color: #ffffff;
    background-color: #0c60a4;
    border-radius: 100px 100px 100px 100px;
    padding: 11px 40px 10px 40px;
    font-size: 17px;
    font-weight: 600;
    height: 50px;
}

.contact-form .nf-form-content input[type="submit"]:hover {
    color: #ffffff !important;
    background-color: #f2a23f !important;
}

.contact-form .nf-form-content select.ninja-forms-field:not([multiple]) {
    background: transparent !important;
    border-width: 0px !important;
    border-bottom: 1px solid #303030 !important;
    border-radius: 8px !important;
}

.contact-form .nf-form-content .list-select-wrap .nf-field-element>div {
    background: transparent;
    border: none;
}


/* ABOUT - BANNER */

.top-font {
    position: sticky;
    top: 60px;
    padding-bottom: 60px;
}


/* ABOUT - MILESTONE */

.milestone-style .jet-timeline-item .timeline-item__card {
    -webkit-box-shadow: unset;
    box-shadow: unset;
}

.milestone-style .jet-timeline--align-center .jet-timeline-item {
    justify-content: center;
}

.milestone-style .jet-timeline--align-center .jet-timeline-item:nth-child(odd) {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
}

.milestone-style .jet-timeline--align-center .jet-timeline-item:nth-child(odd) .timeline-item__card-arrow {
    left: 0;
}

.milestone-style .jet-timeline--align-center .jet-timeline-item:nth-child(even) .timeline-item__meta {
    text-align: left;
}

.milestone-style .jet-timeline--align-center .jet-timeline__line {
    left: 27.7%;
}

.milestone-style .jet-timeline--align-center .timeline-item__meta {
    width: 100px;
    flex: 0 0 100px;
}

.milestone-style .jet-timeline--align-center .timeline-item__point {
    width: 50px;
    flex: 0 0 50px;
}

.milestone-style .jet-timeline-item .timeline-item__card {
    flex: 1;
}

.milestone-style .timeline-item__card-inner {
    display: flex;
}

.milestone-style .timeline-item__card-img img {
    aspect-ratio: 4/3;
    width: 200px;
    height: 100%;
    object-fit: cover;
}

.milestone-style .timeline-item__point-content {
    transform: rotate(90deg);
}

.milestone-style .jet-timeline-item .timeline-item__card-img {
    width: 35%;
}

.milestone-style .jet-timeline-item .timeline-item__card-content {
    width: 65%;
    display: flex;
    align-items: center;
}

body.jet-popup-prevent-scroll .jet-theme-core-location__inner {
    visibility: hidden;
}

#jet-popup-952 .jet-popup__container {
    height: 80% !important;
    border-radius: 20px 20px 0 0;
}

#jet-popup-952 .jet-popup__container-inner {
    justify-content: flex-start !important;
    margin: 0 !important;
}

#jet-popup-952 .jet-popup__container-overlay,
#jet-popup-952 .jet-popup__container-inner {
    background-color: #0c60a4;
}

#jet-popup-952 .jet-popup__close-button {
    top: 30px;
    right: 30px;
    width: 28px;
    height: 28px;
    border-radius: 100px;
    color: #0c60a4;
    background-color: #fff;
}

.jet-popup.jet-popup--front-mode .jet-popup__overlay {
    backdrop-filter: blur(7px);
}


/* ABOUT - AWARD */

.award-style .gallery-item .gallery-caption {
    visibility: hidden;
}

.award-style .gallery-item:hover .gallery-caption {
    visibility: visible;
}


/* ABOUT - TAB */

.about-tab .jet-tabs__content p {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    grid-column-gap: 7px;
    margin-bottom: 0;
}

.about-tab .jet-tabs__content p>img {
    width: 19%;
}

.about-tab .jet-tabs__content h6 {
    margin-top: 20px;
    margin-bottom: 10px;
    text-align: center;
    color: #0c60a4;
}

.about-tab .jet-tabs__content-wrapper {
    display: flex;
    background-color: transparent;
    box-shadow: unset !important;
}

.about-tab #jet-tabs-content-4741.jet-tabs__content.active-content {
    margin-left: 30px;
    background-color: #ffffff;
    box-shadow: -40px 0px 0px -12px #E1E1E1 !important;
}

.about-tab #jet-tabs-content-4742.jet-tabs__content.active-content {
    margin-right: 30px;
    background-color: #ffffff;
    box-shadow: 40px 0px 0px -12px #E1E1E1 !important;
}

.about-tab .jet-tabs__content {
    border-radius: 20px;
}


/* BLOG */

.blog-list .premium-blog-post-container {
    display: flex;
    align-items: center;
}

.blog-list .premium-blog-thumb-effect-wrapper {
    flex-basis: 40% !important;
}

.blog-list .premium-blog-thumbnail-container img {
    aspect-ratio: 1/1;
}

.blog-list .premium-blog-entry-title a,
.blog-list .premium-blog-post-container .premium-blog-post-content {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.blog-list .premium-blog-entry-title a {
    -webkit-line-clamp: 2;
}

.blog-list .premium-blog-post-container .premium-blog-post-content {
    -webkit-line-clamp: 3;
}


/* DESKTOP */

@media (min-width: 1280px) {

    /* ABOUT - VISI & MISI */
    .width-vision .e-flex.e-con-boxed.e-con {
        align-items: flex-end;
    }

    .width-mission .e-flex.e-con-boxed.e-con {
        align-items: flex-start;
    }

    /* BLOG - DETAIL */
    .post-thumbnail-inner img {
        aspect-ratio: 16/8;
        width: 100%;
        object-fit: cover;
    }

    /* SERVICE */
    .show-mobile {
        pointer-events: none;
        cursor: auto;
    }

    .show-mobile .jet-services__button {
        pointer-events: auto;
    }
}


/* TABLET */

@media (min-width: 768px) and (max-width: 1279px) {}


/* MOBILE */

@media (max-width: 767px) {

    /* HEADER */
    .jet-mobile-menu__items li:not(:last-child) {
        border-bottom: 1px solid #e4e4e4;
    }

    .jet-nav__sub.jet-nav-depth-0 {
        padding: 0 5px;
    }

    /* 	FOOTER */
    .site-middle-footer-wrap .site-middle-footer-inner-wrap {
        /*         grid-template-columns: none !important; */
    }

    /* BUTTON - STICKY WHATSAPP BUTTON */
    .wa-button {
        bottom: 10px;
        right: 10px;
    }

    /* HOME - SERVICES */
    .services-mobile .jet-custom-nav__sub {
        background-color: transparent !important;
        box-shadow: unset !important;
    }

    .services-mobile .jet-custom-nav__item:last-child a {
        border-bottom: 0 !important;
    }

    /* ABOUT - AWARD */
    .award-style .gallery-size-thumbnail {
        display: flex;
        overflow-y: auto;
    }

    .award-style .gallery-size-thumbnail .gallery-item {
        flex: 0 0 8em;
    }

    /* ABOUT - TAB */
    .about-tab .jet-tabs__content-wrapper {
        display: flex;
        background-color: transparent;
        box-shadow: unset !important;
    }

    .about-tab #jet-tabs-content-4741.jet-tabs__content.active-content {
        margin-left: 10px;
        background-color: #ffffff;
        box-shadow: -24px 0px 0px -12px #E1E1E1 !important;
    }

    .about-tab #jet-tabs-content-4742.jet-tabs__content.active-content {
        margin-right: 10px;
        background-color: #ffffff;
        box-shadow: 24px 0px 0px -12px #E1E1E1 !important;
    }

    .about-tab .jet-tabs__content {
        padding: 5px 10px !important;
        border-radius: 20px;
    }

    .about-tab .jet-tabs__control-wrapper {
        align-self: auto !important;
        flex-wrap: nowrap;
        column-gap: 10px;
    }

    .about-tab .jet-tabs__control {
        width: 50%;
        margin: 0 !important;
    }

    .about-tab .jet-tabs__control-inner {
        padding: 16px 0px !important;
    }

    .about-tab .jet-tabs__content p {
        justify-content: flex-start;
        flex-wrap: nowrap;
        overflow: auto;
    }

    .about-tab .jet-tabs__content p>img {
        flex: 0 0 8em;
    }

    /* BLOG */
    .post-style .jet-posts__inner-box .post-thumbnail {
        width: 30%;
    }

    .post-style .jet-posts__inner-box .jet-posts__inner-content {
        padding-left: 15px;
        margin-bottom: 0;
    }

    .post-style .jet-arrow {
        display: none !important;
    }

    .post-style .jet-posts__inner-box .post-thumbnail a {
        -webkit-mask-image: none;
        mask-image: none;
        mask-repeat: no-repeat;
    }

    .post-style .jet-posts__inner-box .post-thumbnail a img {
        aspect-ratio: 1/1;
        object-fit: cover;
    }

    .post-style .jet-more-wrap {
        display: none;
    }

    /* SERVICE */
    .service-mobile .jet-services__desc {
        display: none;
    }

    .service-mobile.mobile-center .jet-services.jet-services--header-position-left .jet-services__inner {
        flex-wrap: wrap;
    }

    .service-mobile.mobile-center .jet-services__icon,
    .service-mobile.mobile-center .jet-services__title,
    .service-mobile.mobile-center .jet-services__button {
        align-self: center !important;
    }

    .service-mobile.mobile-center .jet-services__icon .inner {
        margin: -10px 0px 0px 0px !important;
    }

    .service-mobile.mobile-center .jet-services__title-text {
        text-align: center;
    }

    /* ABOUT - MILESTONE */
    .milestone-style .jet-timeline-item {
        width: 85%;
        float: right;
    }

    .milestone-style .timeline-item__meta-content {
        position: absolute;
        left: -18%;
        top: 40%;
    }

    .milestone-style.milestone-mobile .timeline-item__meta-content {
        left: -30% !important;
    }

    .milestone-style .jet-timeline--align-left .jet-timeline__line {
        margin-left: 16.5% !important;
    }

    .milestone-style .timeline-item__card-inner {
        padding-left: 10px;
    }

    .milestone-style .jet-timeline-item .timeline-item__meta-content {
        font-size: 20px !important;
        line-height: 20px !important;
    }

    /* BLOG */

    .blog-list .premium-blog-post-container {
        flex-direction: row;
    }

    .blog-list .premium-blog-thumb-effect-wrapper {
        flex-basis: 35% !important;
    }

    .blog-list.blog-list-mobile .premium-blog-thumb-effect-wrapper {
        flex-basis: 30% !important;
    }

    .blog-list .premium-blog-post-container,
    .blog-list .premium-blog-post-container .premium-blog-content-wrapper {
        background-color: transparent !important;
    }

    .blog-list .premium-blog-post-container .premium-blog-post-content {
        -webkit-line-clamp: 2;
    }
}